%define	upstream_name	 Digest-Whirlpool
%define upstream_version 2.04

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 12

Summary:	Perl 512-bit one-way hash
License:	GPL
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/authors/id/A/AV/AVAR/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-devel
BuildRequires:	perl(inc::Module::Install)

%description
Digest::Whirlpool is a 512-bit, collision-resistant, one-way hash function.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build OPTIMIZE="$RPM_OPT_FLAGS"

%check
%__make test

%install
%make_install

%files
%doc README Changes
%{_bindir}/whirlpoolsum
%{_mandir}/*/*
%{perl_vendorarch}/Digest/*.pm
%{perl_vendorarch}/auto/Digest/Whirlpool


%changelog
* Wed Jun 17 2020 umeabot <umeabot> 2.40.0-12.mga8
+ Revision: 1594572
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 2.40.0-11.mga8
+ Revision: 1529463
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 2.40.0-10.mga8
+ Revision: 1433561
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 2.40.0-9.mga7
+ Revision: 1292826
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 2.40.0-8.mga7
+ Revision: 1249332
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 2.40.0-7.mga7
+ Revision: 1164088
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 2.40.0-6.mga7
+ Revision: 1149618
- Rebuild for perl ABI changes

* Mon Jul 24 2017 neoclust <neoclust> 2.40.0-5.mga7
+ Revision: 1130023
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 2.40.0-4.mga6
+ Revision: 1025798
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 2.40.0-3.mga6
+ Revision: 957236
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 2.40.0-2.mga6
+ Revision: 843784
- Rebuild for perl 5.22

* Mon Jun 22 2015 sander85 <sander85> 2.40.0-1.mga6
+ Revision: 839394
- update to 2.04

* Wed Oct 15 2014 umeabot <umeabot> 1.90.0-10.mga5
+ Revision: 751246
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.90.0-9.mga5
+ Revision: 684372
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.90.0-8.mga5
+ Revision: 631131
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 1.90.0-7.mga4
+ Revision: 524761
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.90.0-6.mga4
+ Revision: 431512
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.90.0-5.mga3
+ Revision: 365957
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.90.0-4.mga3
+ Revision: 250581
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 1.90.0-3.mga2
+ Revision: 104224
- perl 5.14

* Sun Jan 09 2011 jquelin <jquelin> 1.90.0-2.mga1
+ Revision: 2496
- imported package perl-Digest-Whirlpool

